# ConfigDelegate

abstract class ConfigDelegate<T : Any>(file: File, saveAfterLoad: Boolean, defaultCallback: () -> T?)
Content copied to clipboard

## See also

kSpigotJsonConfig

## Constructors

ConfigDelegate
Link copied to clipboard
fun <T : Any> ConfigDelegate(file: File, saveAfterLoad: Boolean, defaultCallback: () -> T?)
Content copied to clipboard

## Functions

getValue
Link copied to clipboard
abstract operator fun getValue(thisRef: Any?, property: KProperty<*>): T
Content copied to clipboard
reload
Link copied to clipboard
abstract fun reload()
Content copied to clipboard
Loads the current state of the config on disk to the config object.
save
Link copied to clipboard
abstract fun save()
Content copied to clipboard
Saves the config object in its current state to disk.
saveIt
Link copied to clipboard
abstract fun saveIt(toSave: T)
Content copied to clipboard
setValue
Link copied to clipboard
abstract operator fun setValue(thisRef: Any?, property: KProperty<*>, config: T): Boolean
Content copied to clipboard